#
# Conditional build:
%bcond_with	slang		# use slang library instead of ncurses
%bcond_with	nntp		# use VVV's NNTP patch
%bcond_with	esmtp		# use esmtp patch
%bcond_with	folder_column	# build with folder_column patch
%bcond_without	sasl		# don't use sasl
%bcond_without	home_etc	# don't use home_etc
#
Summary:	The Mutt Mail User Agent
Summary(de):	Der Mutt Mail-User-Agent
Summary(es):	Mutt, cliente de correo electrnico
Summary(fr):	Agent courrier Mutt
Summary(ko):	ؽƮ  MUA
Summary(pl):	Program pocztowy Mutt
Summary(pt_BR):	Mutt, cliente de correio eletrnico
Summary(ru):	   Mutt
Summary(tr):	Mutt elektronik posta program
Summary(uk):	 ̦  Mutt
Name:		mutt
Version:	1.4.2.1
Release:	10
Epoch:		6
License:	GPL
Group:		Applications/Mail
Source0:	ftp://ftp.mutt.org/mutt/%{name}-%{version}i.tar.gz
# Source0-md5:	710bd56d3c4c4bcd1403bc4e053f7476
Source1:	%{name}.desktop
Source2:	%{name}.png
Source3:	%{name}.1.pl
Patch0:		%{name}-paths.patch
Patch1:		%{name}-forcedotlock.patch
Patch2:		%{name}-muttbug-tmp.patch
Patch3:		%{name}-rr.compressed.patch
Patch4:		%{name}-cd.edit_threads.patch
Patch5:		%{name}-bj.status-time.patch
Patch6:		%{name}-devl.narrow_tree.patch
Patch7:		%{name}-vvv.quote.gz
Patch8:		%{name}-null_name.patch
Patch9:		%{name}-cd.trash_folder.patch
Patch10:	%{name}-cd.purge_message.patch
Patch11:	%{name}-cd.signatures_menu.patch
Patch12:	%{name}-folder_columns.patch
Patch13:	%{name}-nr.tag_prefix_cond.patch
Patch14:	%{name}-pgp_hook.patch
Patch15:	%{name}-manual.patch
Patch16:	%{name}-send_charset.patch
Patch17:	%{name}-xface.patch
Patch18:	%{name}-sasl2.patch
Patch19:	%{name}-nntp.patch
Patch20:	%{name}-esmtp.patch
Patch21:	%{name}-home_etc.patch
Patch22:	%{name}-kill_warnings.patch
Patch23:	%{name}-Muttrc_mbox_path.patch
Patch24:	%{name}-po.patch
Patch25:	%{name}-missing_includes.patch
URL:		http://www.mutt.org/
%{!?with_slang:BuildRequires:	ncurses-devel >= 5.4-0.7}
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_sasl:BuildRequires:	cyrus-sasl-devel >= 2.1.0}
BuildRequires:	gettext-devel
BuildRequires:	groff
%{?with_home_etc:BuildRequires:	home-etc-devel >= 1.0.8}
%{?with_esmtp:BuildRequires:	libesmtp-devel}
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	sgml-tools >= 1.0.9-20
BuildRequires:	sgml-tools-dtd
%{?with_slang:BuildRequires:	slang-devel}
%{?with_home_etc:Requires:	home-etc >= 1.0.8}
Requires:	iconv
Requires:	mailcap
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags_ia32	-fomit-frame-pointer

%description
Mutt is a small but very poweful full-screen Unix mail client.
Features include MIME support, color, POP3 support, message threading,
bindable keys, and threaded sorting mode.

%description -l de
Mutt ist ein kleiner aber leistungsfhiger Vollbild-Mail-Client fr
Unix mit MIME-Untersttzung, Farbe, POP3-Untersttzung,
Nachrichten-Threading, zuweisbaren Tasten und Sortieren nach Threads.

%description -l es
Mutt es un pequeo, pero muy potente cliente de correo en pantalla
llena. Incluye soporte a tipos MINE, color, POP3; encadenamiento de
mensajes, teclas configurables y clasificaciones por encadenamiento.

%description -l fr
mutt est un client courrier Unix plein cran, petit mais trs
puissant. Il dispose de la gestion MIME, des couleurs, de la gestion
POP, des fils de discussion, des touches lies et d'un mode de tri sur
les fils.

%description -l ko
Mutt  ſ  ؽƮ   Ŭ̾Ʈ̴. Mutt
  ϴ. ׸, Űε, Ű ũ,  
  ¿ ǥ ˻, Ͽ õ ׷ 뿡
ϰ   ãƳ  ν  Ŀ 
 ϴ.

%description -l pl
Mutt jest niewielkim programem pocztowym dla terminali tekstowych,
posiadajcym due moliwoci. Obsuguje MIME, POP3, cztery formaty
skrzynek pocztowych, kolory, wtki, ocen wanoci listw (scoring)
oraz skompresowane foldery.

%description -l pt_BR
O Mutt  um pequeno mas muito poderoso cliente de correio em tela
cheia. Inclui suporte a tipos MIME, cor, POP3, encadeamento de
mensagens, teclas configurveis e classificao por encadeamento.

%description -l ru
Mutt -  ,     .
  MIME, ,  POP3  IMAP, 
  ,  ,  pgp/gpg 
   .   ( 
)  NNTP.

%description -l tr
Mutt, kk ama ok gl bir tam-ekran Unix mektup istemcisidir. MIME
destei, renk ve POP3 destei ierir.

%description -l uk
Mutt -  ,     ̦.
 Ц MIME, ̦, Ц POP3  IMAP, 
צ  ,  צ, Ц pgp/gpg 
 צ  .   ( 
) Ц NNTP.

%prep
%setup -q -n %{name}-%(echo %{version} | sed 's/i$//')
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
# breaks display if arrow_cursor is set
%{?with_folder_column:%patch12 -p1}
# disabled - changes default behaviour
##%patch13 -p0
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%{?with_sasl:%patch18 -p1}
%{?with_nntp:%patch19 -p1}
%{?with_esmtp:%patch20 -p1}
%{?with_home_etc:%patch21 -p1}
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1

# force regeneration (manual.sgml is modified by some patches)
rm -f doc/{manual*.html,manual.txt}

%build
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--%{?debug:en}%{!?debug:dis}able-debug \
	%{!?with_slang:--with-curses} \
	%{?with_slang:--with-slang} \
	--enable-compressed \
	--enable-external-dotlock \
	--enable-imap \
	--without-included-gettext \
	--enable-mailtool \
	--with-mixmaster \
	--enable-pop \
	%{?with_nntp:--enable-nntp} \
	--with-regex \
	--with%{!?with_sasl:out}-sasl \
	--with%{!?with_home_etc:out}-home-etc \
	%{?with_esmtp:--enable-libesmtp --with-libesmtp=/usr} \
	--with-ssl \
	--disable-warnings \
	--with-docdir=%{_docdir}/%{name} \
	--with-homespool=Maildir \
	--with-mailpath=/var/mail \
	--with-sharedir=%{_datadir} \
	--prefix=%{_prefix} \
	--bindir=%{_bindir} \
	--datadir=%{_datadir} \
	--mandir=%{_mandir} \
	--sysconfdir=%{_sysconfdir}

%{__make}
%{__make} manual.txt -C doc

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir},%{_mandir}/pl/man1}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__patch} -p0 -d $RPM_BUILD_ROOT%{_sysconfdir} < %{PATCH16}

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}
install %{SOURCE3} $RPM_BUILD_ROOT%{_mandir}/pl/man1

# keep manual.txt.gz, the rest is installed as %doc
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}/[!m]*
gzip -9nf $RPM_BUILD_ROOT%{_docdir}/%{name}/manual.txt

# conflict with qmail
rm -f $RPM_BUILD_ROOT%{_mandir}/man5/mbox.5*

rm -f $RPM_BUILD_ROOT%{_sysconfdir}/mime.types

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc contrib/{*rc*,*cap*} ChangeLog README TODO NEWS README.SECURITY README.SSL README.xface %{?with_esmtp:Muttrc.esmtp}
%config(noreplace,missingok) %verify(not md5 mtime size) %{_sysconfdir}/Muttrc
%attr(755,root,root) %{_bindir}/mutt
%attr(755,root,root) %{_bindir}/flea
%attr(755,root,root) %{_bindir}/muttbug
%attr(755,root,root) %{_bindir}/pgp*
%attr(2755,root,mail) %{_bindir}/mutt_dotlock

%{_docdir}/%{name}
%{_desktopdir}/*.desktop
%{_pixmapsdir}/mutt.png
%{_mandir}/man*/*
%lang(pl) %{_mandir}/pl/man*/*
